This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 803113 - (CVE-2012-0458) CVE-2012-0458 Mozilla: Escalation of privilege with Javascript: URL as home page (MFSA 2012-16)
CVE-2012-0458 Mozilla: Escalation of privilege with Javascript: URL as home p...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Red Hat Product Security
impact=critical,public=20120313,repor...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-13 21:48 EDT by Huzaifa S. Sidhpurwala
Modified: 2012-03-14 05:08 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-14 05:08:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2012-03-13 21:48:49 EDT
Security researcher Mariusz Mlynski reported that an attacker able to convince a potential victim to set a new home page by dragging a link to the "home" button can set that user's home page to a javascript: URL. Once this is done the attacker's page can cause repeated crashes of the browser, eventually getting the script URL loaded in the privileged about:sessionrestore context.

Reference:
http://www.mozilla.org/security/announce/2012/mfsa2012-16.html
Comment 1 errata-xmlrpc 2012-03-14 03:20:13 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2012:0388 https://rhn.redhat.com/errata/RHSA-2012-0388.html
Comment 2 errata-xmlrpc 2012-03-14 03:41:03 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2012:0387 https://rhn.redhat.com/errata/RHSA-2012-0387.html

Note You need to log in before you can comment on or make changes to this bug.